package com.red.circle.other.app.inner.endpoint.sys;


import com.red.circle.framework.dto.PageResult;
import com.red.circle.framework.dto.ResultResponse;
import com.red.circle.other.app.inner.service.sys.StartPagePlanClientService;
import com.red.circle.other.inner.endpoint.sys.api.StartPagePlanClientApi;
import com.red.circle.other.inner.model.cmd.sys.SysStartPagePlanCmd;
import com.red.circle.other.inner.model.cmd.sys.SysStartPagePlanQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysStartPagePlanDTO;
import lombok.RequiredArgsConstructor;
import org.springframework.http.MediaType;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 系统管理员.
 *
 * @author pengliang on 2023/8/11
 */
@Validated
@RestController
@RequestMapping(value = StartPagePlanClientApi.API_PREFIX, produces = MediaType.APPLICATION_JSON_VALUE)
@RequiredArgsConstructor
public class StartPagePlanClientEndpoint implements StartPagePlanClientApi {

  private final StartPagePlanClientService startPagePlanClientService;

  @Override
  public ResultResponse<PageResult<SysStartPagePlanDTO>> pageStartPage(
      SysStartPagePlanQryCmd query) {
    return ResultResponse.success(startPagePlanClientService.pageStartPage(query));
  }

  @Override
  public ResultResponse<Void> update(SysStartPagePlanCmd param) {
    startPagePlanClientService.update(param);
    return ResultResponse.success();
  }

  @Override
  public ResultResponse<Void> add(SysStartPagePlanCmd param) {
    startPagePlanClientService.add(param);
    return ResultResponse.success();
  }

  @Override
  public ResultResponse<Void> delete(Long id) {
    startPagePlanClientService.delete(id);
    return ResultResponse.success();
  }

}
